<h1> Page RH </h1>

<mat-table [dataSource]="this.dataSource">
  <ng-container matColumnDef="intitule">
    <mat-header-cell *matHeaderCellDef>Intitulé</mat-header-cell>
    <mat-cell *matCellDef="let row">{{ row.intitule }}</mat-cell>
  </ng-container>

  <ng-container matColumnDef=participants>
    <mat-header-cell *matHeaderCellDef>Nb participants</mat-header-cell>
    <mat-cell *matCellDef="let row">{{ row.nbParticipants }}</mat-cell>
  </ng-container>

  <ng-container matColumnDef="date">
    <mat-header-cell *matHeaderCellDef>Date prévisionnelle</mat-header-cell>
    <mat-cell *matCellDef="let row">{{ row.datePrevu | date:'dd/MM/yyyy à hh:mm' }}</mat-cell>
  </ng-container>

  <ng-container matColumnDef="origine">
    <mat-header-cell *matHeaderCellDef>Origine</mat-header-cell>
    <mat-cell *matCellDef="let row">{{row.origine}}</mat-cell>
  </ng-container>

  <ng-container matColumnDef="statut">
    <mat-header-cell *matHeaderCellDef>Statut</mat-header-cell>
    <mat-cell *matCellDef="let row">{{row.statut}}</mat-cell>
  </ng-container>

  <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
  <mat-row *matRowDef="let row; columns: displayedColumns;" [routerLink]="['/formations',row.id]"></mat-row>
</mat-table>
